package com.zhentao.groups.controller;

import com.zhentao.groups.dto.AddGroupMembers;
import com.zhentao.groups.dto.AddGroupsDto;
import com.zhentao.groups.service.GroupsService;
import com.zhentao.tool.TokenUtils;
import com.zhentao.vo.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

@RequestMapping("/group")
@RestController
public class groupsController {


    @Autowired
    private GroupsService groupsService;


//  创建群聊
    @PostMapping("/addGroup")
    public Result addGroup(@RequestBody AddGroupsDto addGroupsDto, @RequestHeader("token") String token){
        Long userIdFromToken = Long.valueOf(TokenUtils.getUserIdFromToken(token));
        addGroupsDto.setCreatorId(userIdFromToken);
        return groupsService.addGroup(addGroupsDto);
    }


//    添加好友
    @PostMapping("/AddGroupMembers")
    public Result AddGroupMembers(@RequestBody AddGroupMembers addGroupMembers){
        return groupsService.AddGroupMembers(addGroupMembers);
    }





}
